Package net.shibboleth.idp.saml.attribute.transcoding

# Interface SAML1AttributeTranscoder<EncodedType extends IdPAttributeValue>

Type Parameters:
  `EncodedType` - the type of data that can be handled by the transcoder

All Superinterfaces:
  `AttributeTranscoder<AttributeDesignator>`, `Component`, `InitializableComponent`

All Known Implementing Classes:
  `AbstractSAML1AttributeTranscoder`, `SAML1ByteAttributeTranscoder`, `SAML1ScopedStringAttributeTranscoder`, `SAML1StringAttributeTranscoder`, `SAML1XMLObjectAttributeTranscoder`

public interface SAML1AttributeTranscoder<EncodedType extends IdPAttributeValue> extends AttributeTranscoder<AttributeDesignator>
Marker interface for transcoders that operate on a SAML 1 `Attribute` or `AttributeDesignator`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`METADATA_TAG_NAME`
Name of metadata tag/attribute to check for in the event that `PROP_NAME_FROM_METADATA` is used.
`static final String`
`PROP_ENCODE_TYPE`
Whether to encode the xsi:type.
`static final String`
`PROP_NAME`
The attribute name.
`static final String`
`PROP_NAME_FROM_METADATA`
Flag to signal use of metadata to override name to encode.
`static final String`
`PROP_NAMESPACE`
The namespace of the attribute name.

## Method Summary

### Methods inherited from interface net.shibboleth.idp.attribute.transcoding.AttributeTranscoder

`decode, encode, getEncodedName, getEncodedType`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### PROP_NAME

@Nonnull @NotEmpty static final String PROP_NAME
The attribute name.

See Also:
  - Constant Field Values

### PROP_ENCODE_TYPE

@Nonnull @NotEmpty static final String PROP_ENCODE_TYPE
Whether to encode the xsi:type.

See Also:
  - Constant Field Values

### PROP_NAMESPACE

@Nonnull @NotEmpty static final String PROP_NAMESPACE
The namespace of the attribute name.

See Also:
  - Constant Field Values

### PROP_NAME_FROM_METADATA

@Nonnull @NotEmpty static final String PROP_NAME_FROM_METADATA
Flag to signal use of metadata to override name to encode.

Since:
  5.1.0
See Also:
  - Constant Field Values

### METADATA_TAG_NAME

@Nonnull @NotEmpty static final String METADATA_TAG_NAME
Name of metadata tag/attribute to check for in the event that `PROP_NAME_FROM_METADATA` is used.

Since:
  5.1.0
See Also:
  - Constant Field Values